<div class="container-fluid min-vh-100 vh-100 pt-3">
  <pm-page-wrapper>
    <div class="row d-flex max-page-content">
      <pm-top-bar
        ><a class="btn btn-outline-primary hover" href="/"
          ><i class="arrow left"></i>BACK</a
        ></pm-top-bar
      >
      <form class="mt-5 col">
        <div class="pb-3">
          <label for="subject" class="form-label"></label>
          <input
            type="text"
            class="form-control"
            id="subject"
            placeholder="Subject"
            [formControl]="subject"
            (blur)="handleBlur()"
          />
        </div>

        <div class="pb-3">
          <label for="url" class="form-label"></label>
          <input
            type="text"
            class="form-control"
            id="url"
            placeholder="URL"
            [formControl]="url"
            (blur)="handleBlur()"
          />
        </div>

        <div class="pb-3">
          <label for="note" class="form-label text-primary">Your Note</label>
          <textarea
            class="form-control"
            id="note"
            rows="4"
            [formControl]="note"
            (blur)="handleBlur()"
          >
          </textarea>
        </div>

        <p class="form-label text-primary">Images</p>
        <div class="image-container overflow-auto d-flex p-2 bg-white">
          <div
            class="oneImageConteiner"
            *ngFor="let image of images.value; index as i"
          >
            <button
              type="button"
              class="close"
              (click)="deleteImage(i)"
              type="submit"
            >
              <div class="x">x</div>
            </button>
            <img
              src="{{ image }}?random={{ i }}"
              class="p-2"
              style="width: 90px; height: 90px"
            />
          </div>
        </div>
        <div class="d-grid gap-2 d-flex justify-content-end">
          <div class="pt-2 d-flex justify-content-end">
            <button
              class="btn btn-outline-primary hover"
              (click)="addImage()"
              type="submit"
            >
              Add image
            </button>
          </div>
          <p>{{ error }}</p>
        </div>
        <div class="mt-4" *ngIf="!isEdit">
          <button
            class="btn btn-primary text-white d-block w-100 hover"
            (click)="onSubmit()"
            type="submit"
          >
            Add note
          </button>
        </div>
      </form>
    </div>
  </pm-page-wrapper>
</div>
